# $Revision: 1.27 $, $Date: 2002/05/22 00:20:05 $
%define         _gcc_ver        %(%{__cc} -dumpversion | cut -b 1)

Summary:	A wysiwyg mathematical text editor
Summary(pl):	Edytor WYSIWYG do tekstw matematycznych
Name:		TeXmacs
Version:	1.0
Release:	1
License:	GPL
Group:		Applications/Editors
Source0:	ftp://ftp.texmacs.org/pub/TeXmacs/targz/%{name}-%{version}-src.tar.gz
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-polish.patch
URL:		http://www.texmacs.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	guile-devel >= 1.4.1
BuildRequires:	libstdc++-devel
%if %{_gcc_ver} == 3
BuildRequires:	gcc2-c++
%endif
Requires:	tetex
Requires:	guile-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# gcc3 produces broken code (argh!!!), so switch to gcc2 if we found it
%if %{_gcc_ver} == 3
%define		__cc		gcc2
%define		__cxx		g++2
%ifarch athlon
%define		rpmcflags	-O2 -march=i686
%endif
%endif

%description
GNU TeXmacs is a free what-you-see-is-what-you-get mathematical text
editor, which was both inspired by TeX and GNU Emacs. The program
implements high quality typesetting using TeX fonts, but it is also
provides a user friendly interface.

The high typesetting quality still goes through for automatically
generated formulas, and it is possible to use TeXmacs as an interface
to computer algebra systems. GNU TeXmacs also supports the
Guile/Scheme extension language, which makes it possible to adapt the
user interface to specific needs and even to extend the editor.

%description -l pl
GNU TeXmacs jest wolnodostpnym edytorem typu WYSIWYG do tekstw
matematycznych, zainspirowanym przez TeX-a i GNU Emacsa. Ma
zaimplementowany wysokiej jakoci skad przy uyciu fontw TeX-a, ale
udostpnia take przyjazny interfejs uytkownika.

Wysoka jako skadu jest zachowana przy automatycznie generowanych
wzorach i jest moliwe uywanie TeXmacsa jako interfejsu do systemw
algebry. GNU TeXmacs obsuguje take jzyk rozszerze Guile/Scheme, co
umoliwia adaptowanie interfejsu uytkownika do specyficznych potrzeb,
a take rozszerzanie edytora.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* .
aclocal
%{__autoconf}
%configure

%{__make} CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti -fno-implicit-templates"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*.h
%dir %{_libdir}/%{name}-%{version}
%dir %{_libdir}/%{name}-%{version}/bin
%dir %{_libdir}/%{name}-%{version}/lib
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/lib/*
%{_datadir}/%{name}-%{version}
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: TeXmacs.spec,v $
Revision 1.27  2002/05/22 00:20:05  kloczek
- rebuild against guile >= 1.4.1 amd

Revision 1.26  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/29 18:31:31  filon
- use -dumpversion option for gcc to get it's number (works with gcc3.1)

Revision 1.24  2002/03/29 20:34:58  filon
- updated to 1.0 - final (tratatata!)

Revision 1.23  2002/03/16 14:35:33  misiek
- R: guile-devel (it needs it at runtime)

Revision 1.22  2002/03/07 11:20:38  filon
- copy fresh config.* files (to recognize athlon-pld-linux)

Revision 1.21  2002/03/06 10:04:39  misiek
- updated to 0.3.5.14

Revision 1.20  2002/03/02 06:34:47  kloczek
- updated to 0.3.5.13,
- remove config in BuildReqires rules.

Revision 1.19  2002/02/27 21:38:20  filon
- cosmetics

Revision 1.18  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/20 23:07:10  filon
- gcc3 produces broken code for this app, so take care to switch to gcc2 if gcc3 found
- release 3

Revision 1.16  2002/02/12 06:18:07  filon
- check gcc versiona and accordng to it apply CXX flags , or not

Revision 1.15  2002/02/11 22:31:30  filon
- commnented adding CXXFLAGS, causes gcc3 SIGSEV :-(
- release 2

Revision 1.14  2002/02/11 04:28:27  kloczek
- updated to 0.3.5.12 (bugfix release) and remove obsoleted aplha patch.

Revision 1.13  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/05 10:52:36  misiek
- fix compilation on alpha; rel 2

Revision 1.11  2001/12/19 00:35:32  kloczek
- updated to 0.3.5.11 (bugfix release).

Revision 1.10  2001/12/14 15:43:32  kloczek
- updated to 0.3.5.10.

Revision 1.9  2001/12/03 18:18:14  misiek
- release 2; added support for pl programmers keyboard

Revision 1.8  2001/12/02 13:59:07  kloczek
- updated to 0.3.5.8,
- compile with -fno-exceptions -fno-rtti -fno-implicit-templates (this cuts
  output binary size from ~8.7MB to ~4.5MB .. &#$@!?),
- add ac_fixes patch and added also regenerate ac file (now can be used
  %%configure macro).

Revision 1.7  2001/11/27 16:39:03  misiek
- it should at least be buildable now

Revision 1.6  2001/10/31 09:53:27  qboosh
- pl translations, try to fix prep/build/install (probably not finished)

Revision 1.5  2001/09/14 11:39:00  ankry
- finally find problem with source file name

Revision 1.4  2001/09/14 11:34:04  ankry
- fixed previous update

Revision 1.3  2001/09/14 11:31:26  ankry
- updated URL to available sources (Revision 7)

Revision 1.2  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.1  2000/11/14 12:52:53  wiget
raw, only adapterized
